## org.gnu.pango
Class Attribute

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.pango.Attribute

Direct Known Subclasses:
  AttrColor, AttrFloat, AttrFontDesc, AttrInt, AttrLanguage, AttrShape, AttrString, PangoAttrEmbossed, PangoAttrStipple

public class Attribute
extends Boxed

Attributed text is used in a number of places in Pango. It is used as the input to the itemization process and also when creating a `Layout`. The data types and functions in this section are used to represent and manipulate sets of attributes applied to a portion of text.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`protected` `Attribute()`
`protected` `Attribute(Handle handle)`

Method Summary
`int` `getEndIndex()` Returns end index of the range.
`protected static int` `getEndIndex(Handle obj)`
`int` `getStartIndex()` Returns the start index of the range
`protected static int` `getStartIndex(Handle obj)` BEGINNING OF GENERATED CODE

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Attribute

    protected Attribute()

### Attribute

    protected Attribute(Handle handle)

Method Detail

### getStartIndex

    public int getStartIndex()

  Returns the start index of the range

### getEndIndex

    public int getEndIndex()

  Returns end index of the range. The character at this index is not included in the range.

### getStartIndex

    protected static final int getStartIndex(Handle obj)

  BEGINNING OF GENERATED CODE

### getEndIndex

    protected static final int getEndIndex(Handle obj)